API ReferenceVacation Available
Replaces the VacationAvailable resource.
Replaces the VacationAvailable resource.
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
VacationAvailable identifier
The updated VacationAvailable resource
TypeScript Definitions
Use the request body type in TypeScript.
daysTransferred?integer
Range
0 <= value <= 365daysCurrentYear?integer
Range
0 <= value <= 365Response Body
curl -X PUT "https://example.com/calendar/vacation-availables/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "year": 0, "daysTransferred": 0, "daysCurrentYear": 0, "daysAvailable": 0, "daysUsed": 0, "calendarUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": true, "isExternal": true, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string", "decorator": "string" }, "permissions": { "canManage": null }}